UpdateServiceJob - AWS Batch

UpdateServiceJob

Updates the priority of a specified service job in an AWS Batch job queue.

Request Syntax

POST /v1/updateservicejob HTTP/1.1 Content-type: application/json { "jobId": "string", "schedulingPriority": number }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

jobId

The AWS Batch job ID of the job to update.

Type: String

Required: Yes

schedulingPriority

The scheduling priority for the job. This only affects jobs in job queues with a quota-share or fair-share scheduling policy. Jobs with a higher scheduling priority are scheduled before jobs with a lower scheduling priority within a share.

The minimum supported value is 0 and the maximum supported value is 9999.

Type: Integer

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "jobArn": "string", "jobId": "string", "jobName": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

jobArn

The Amazon Resource Name (ARN) for the job.

Type: String

jobId

The unique identifier for the job.

Type: String

jobName

The name of the job.

Type: String

Errors

ClientException

These errors are usually caused by a client action. One example cause is using an action or resource on behalf of a user that doesn't have permissions to use the action or resource. Another cause is specifying an identifier that's not valid.

HTTP Status Code: 400

ServerException

These errors are usually caused by a server issue.

HTTP Status Code: 500

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: